Subject: Your order 1840

From: <[email-masked]>
Date: Thu, 29 Oct 2009 23:47:31 -0700 (PDT)

Click here to view as a web page.

Unsubscribe |
Change e-mail address |
Privacy Policy |
About Us

Copyright 2009 1028 Inc. All rights reserved.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9RHC7f5002099 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 27 Oct 2009 10:12:07 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n9RHC7ac002098; Tue, 27 Oct 2009 10:12:07 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-5.gradwell.net (v-smtp-auth-relay-5.gradwell.net [79.135.125.99]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9RHC4HS002091 for ; Tue, 27 Oct 2009 10:12:06 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3$clerew^man*ac#uk) by v-smtp-auth-relay-5.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4ae729e2.6be.1f0 for [email-masked]; Tue, 27 Oct 2009 17:12:02 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n9RHC2QN015990 for ; Tue, 27 Oct 2009 17:12:02 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n9RHC10J015984 for [email-masked]; Tue, 27 Oct 2009 17:12:01 GMT
To: [email-masked]
Xref: clerew local.usefor:25138
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: AUTH48 is stuck
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <4C0DF3C5C9A9442498E0C571F17B63E2@Iulius>
Date: Tue, 27 Oct 2009 14:32:12 GMT
Lines: 83
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <4C0DF3C5C9A9442498E0C571F17B63E2@Iulius> =?Windows-1252?Q?Julien_=C9LIE?= writes:

>Hi Charles,

>> The problem is that it is agreed it needs to refer to RFC 5532 rather than
>> RFC 2822, but RFC has changed the syntax of Message-ID (considerably
>> simplified it) and this has consequential effects on the corresponding
>> syntax in RFC 5536.

>If I understand well the new syntax in USEFOR, the following message-IDs
>are invalid:

><"test"@test>

>whereas the following message-ID is valid:

>Do you confirm?

Correct. And the same is true in RFC 5322 also. But some strange variants
such as <"te..st@test> are allowed in the present USEFOR syntax.

RFC 5322 disallows _any_ before the '@', and so all the
funny cases disappear. My proposal is to disallow the same things in
USEFOR

>Syntax in USEFOR is:

N.B. this is the syntax I propose

> message-id = "Message-ID:" SP *WSP msg-id *WSP CRLF

> msg-id = "<" msg-id-core ">"
> ; maximum length is 250 octets

> msg-id-core = id-left "@" id-right

> id-left = dot-atom-text

Wheaeas the USEFOR draft currently has

id-left = dot-atom-text / no-fold-quote
followed by a syntax for no-fold-quote

> id-right = dot-atom-text / no-fold-literal

> no-fold-literal = "[" *mdtext "]"

> mdtext = %d33-61 / ; The rest of the US-ASCII
> %d63-90 / ; characters not including
> %d94-126 ; ">", "[", "]", or "\"

>with (from RFC 5322):

> dot-atom-text = 1*atext *("." 1*atext)

> atext = ALPHA / DIGIT / ; Printable US-ASCII
> "!" / "#" / ; characters not including
> "$" / "%" / ; specials. Used for atoms.
> "&" / "'" /
> "*" / "+" /
> "-" / "/" /
> "=" / "?" /
> "^" / "_" /
> "`" / "{" /
> "|" / "}" /
> "~"

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9NHP8bi091827 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 23 Oct 2009 10:25:08 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n9NHP8g9091826; Fri, 23 Oct 2009 10:25:08 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 26.mail-out.ovh.net (26.mail-out.ovh.net [91.121.27.225]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n9NHOx80091809 for ; Fri, 23 Oct 2009 10:25:07 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 14340 invoked by uid 503); 23 Oct 2009 17:24:58 -0000
Received: from 42.mail-out.ovh.net (213.251.189.42) by 26.mail-out.ovh.net with SMTP; 23 Oct 2009 17:24:58 -0000
Received: (qmail 19889 invoked by uid 503); 23 Oct 2009 17:24:58 -0000
Received: from b9.ovh.net (HELO mail419.ha.ovh.net) (213.186.33.59) by 42.mail-out.ovh.net with SMTP; 23 Oct 2009 17:24:58 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 23 Oct 2009 17:25:10 -0000
Received: from aaubervilliers-151-1-27-37.w83-112.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 23 Oct 2009 17:25:08 -0000
Message-ID: <4C0DF3C5C9A9442498E0C571F17B63E2@Iulius>
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: AUTH48 is stuck
Date: Fri, 23 Oct 2009 19:24:54 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 16641926524045950393
X-Ovh-Remote: 83.112.18.37 (aaubervilliers-151-1-27-37.w83-112.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> The problem is that it is agreed it needs to refer to RFC 5532 rather than
> RFC 2822, but RFC has changed the syntax of Message-ID (considerably
> simplified it) and this has consequential effects on the corresponding
> syntax in RFC 5536.

If I understand well the new syntax in USEFOR, the following message-IDs
are invalid:

<"test"@test>

whereas the following message-ID is valid:

Do you confirm?

Syntax in USEFOR is:

message-id = "Message-ID:" SP *WSP msg-id *WSP CRLF

msg-id = "<" msg-id-core ">"
; maximum length is 250 octets

msg-id-core = id-left "@" id-right

id-left = dot-atom-text

id-right = dot-atom-text / no-fold-literal

no-fold-literal = "[" *mdtext "]"

mdtext = %d33-61 / ; The rest of the US-ASCII
%d63-90 / ; characters not including
%d94-126 ; ">", "[", "]", or "\"

with (from RFC 5322):

dot-atom-text = 1*atext *("." 1*atext)

atext = ALPHA / DIGIT / ; Printable US-ASCII
"!" / "#" / ; characters not including
"$" / "%" / ; specials. Used for atoms.
"&" / "'" /
"*" / "+" /
"-" / "/" /
"=" / "?" /
"^" / "_" /
"`" / "{" /
"|" / "}" /
"~"

Thanks,

--
Julien ÉLIE

« Tempora si fuerint nubila, solus eris. » (Ovide)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9LBCFBq013437 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 21 Oct 2009 04:12:15 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n9LBCFXq013434; Wed, 21 Oct 2009 04:12:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-2.gradwell.net (v-smtp-auth-relay-2.gradwell.net [79.135.125.41]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9LBC70s013413 for ; Wed, 21 Oct 2009 04:12:12 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster*pop3&clerew^man&ac^uk) by v-smtp-auth-relay-2.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4adeec86.27d0.b7 for [email-masked]; Wed, 21 Oct 2009 12:12:06 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n9LBC3ol028527 for ; Wed, 21 Oct 2009 12:12:03 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n9LBC2F9028521 for [email-masked]; Wed, 21 Oct 2009 12:12:02 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25136
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: AUTH48 is stuck
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <09FB359BCD4E41A49F0A9D5BBA306602@Iulius>
Date: Wed, 21 Oct 2009 10:20:38 GMT
Lines: 29
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <09FB359BCD4E41A49F0A9D5BBA306602@Iulius> =?Windows-1252?Q?Julien_=C9LIE?= writes:

>Hi Charles,

>> RFC 5536 (aka our USEFOR) draft is stuck in AUTH 48.

>And what is the status of RFC 5537 (USEPRO)? Is it blocked by RFC 5536?

Yes. Not much point in publishing the one without the other.

>Too bad USEFOR is stucked in AUTH 48. Doesn't the RFC Editor have
>a "backup solution"? Maybe Russ has an idea (he is currently on holiday).

Yes, I would welcome some inpout from Russ.

>And on another subject, do you have a ready-to-release useage-02?

No.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9KJqrXe063779 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 20 Oct 2009 12:52:53 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n9KJqrdm063778; Tue, 20 Oct 2009 12:52:53 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n9KJqf59063755 for ; Tue, 20 Oct 2009 12:52:52 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 11468 invoked by uid 503); 20 Oct 2009 19:52:42 -0000
Received: from b9.ovh.net (HELO mail626.ha.ovh.net) (213.186.33.59) by 30.mail-out.ovh.net with SMTP; 20 Oct 2009 19:52:42 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 20 Oct 2009 19:53:19 -0000
Received: from aaubervilliers-151-1-27-37.w83-112.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 20 Oct 2009 19:53:18 -0000
Message-ID: <09FB359BCD4E41A49F0A9D5BBA306602@Iulius>
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: AUTH48 is stuck
Date: Tue, 20 Oct 2009 21:52:32 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 1526157324623543737
X-Ovh-Remote: 83.112.18.37 (aaubervilliers-151-1-27-37.w83-112.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> RFC 5536 (aka our USEFOR) draft is stuck in AUTH 48.

And what is the status of RFC 5537 (USEPRO)? Is it blocked by RFC 5536?

> How can we proceed if neither Ken nor Harald are replying to emails? And
> how else can we proceed?

Too bad USEFOR is stucked in AUTH 48. Doesn't the RFC Editor have
a "backup solution"? Maybe Russ has an idea (he is currently on holiday).

And on another subject, do you have a ready-to-release useage-02?

--
Julien ÉLIE

« Memoriam quoque ipsam cum uoce perdidissemus,
si tam in nostra potestate esset obliuisci quam tacere. »
(Tacite, _Vie d'Agricola_)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9JGHodH062979 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 19 Oct 2009 09:17:50 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n9JGHobw062978; Mon, 19 Oct 2009 09:17:50 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-5.gradwell.net (v-smtp-auth-relay-5.gradwell.net [79.135.125.99]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n9JGHhgj062966 for ; Mon, 19 Oct 2009 09:17:49 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3$clerew$man$ac&uk) by v-smtp-auth-relay-5.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4adc8fde.25a4.30e for [email-masked]; Mon, 19 Oct 2009 17:12:14 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n9JGC3XQ000580 for ; Mon, 19 Oct 2009 17:12:03 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n9JGC25i000575 for [email-masked]; Mon, 19 Oct 2009 17:12:02 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25134
Path: clerew!chl
From: "Charles Lindsey"
Subject: AUTH48 is stuck
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
Date: Mon, 19 Oct 2009 13:45:28 GMT
Lines: 40
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

RFC 5536 (aka our USEFOR) draft is stuck in AUTH 48.

The problem is that it is agreed it needs to refer to RFC 5532 rather than
RFC 2822, but RFC has changed the syntax of Message-ID (considerably
simplified it) and this has consequential effects on the corresponding
syntax in RFC 5536.

I published the changes I considered desirable (a considerable
simplification in fact) in this WG months and months ago, and I thought we
had rough consensus that they should go ahead - certainly several people
seemed happy with the idea, and none opposed it.

But I am only the second editor. Ken Murchison is the primary editor and
holds the responsibility for communicating the changes to the RFC Editor,
unless either he or Harald decides or requests otherwise. But there has
been total silence from Ken, apart from two messages to say he would do it
"RSN".

Every month, the RFC Editor circulates to the editors and others concerned
an enquiry as to whether the changes are yet available, and each month I
reply saying we are still waiting for Ken.

In desperation a few weeks ago, I prepared the diffs I considered
necessary in the required format, and sent them to Ken (CC to Harald)
with a request that he either adopted them, or did his own, or authorized
me to submit them myself. But there has been no reply.

How can we proceed if neither Ken nor Harald are replying to emails? And
how else can we proceed?

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5